<ng-container *ngIf="patient && appointment">
    <h2>Programarea pacientului {{patient.name}}</h2>
    <h3>{{appointment.doctor.department.hospital.name}}</h3>
    <h3><b>Doctor</b>: {{ appointment.doctor.name }} ({{ appointment.doctor.department.name }})</h3>
    <h3><b>Asistentă</b>: {{ appointment.nurse.name }} ({{ appointment.nurse.department.name }})</h3>
    <h3><b>Data</b>: {{ appointment.date | date:'dd/MM/yyyy hh:mm' }}</h3>
    <h3><b>Diagnostic</b>: {{appointment.diagnosis}}</h3>

    <ng-container *ngIf="prescriptions.length !== 0">
        <table>
            <thead>
                <tr>
                    <th colspan="100%">Rețetă</th>
                </tr>
            </thead>
            <thead>
                <tr>
                    <th>Medicament</th>
                    <th>Doză</th>
                    <th *ngIf="canUserModifyPrescriptions(appointment.nurse.id, appointment.doctor.id)">Șterge</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor='let prescription of prescriptions'>
                    <td>{{ prescription.medication.name }}, {{ prescription.medication.brand }}</td>
                    <td>{{ prescription.dose }}</td>
                    <td *ngIf="canUserModifyPrescriptions(appointment.nurse.id, appointment.doctor.id)">
                        <mat-icon (click)="deletePrescription(prescription.id)">delete</mat-icon>
                    </td>
                </tr>
            </tbody>
        </table>
        <button class="btn btn-primary" (click)="downloadPrescriptions()">Descarcă rețeta</button>
        <button *ngIf="canUserModifyPrescriptions(appointment.nurse.id, appointment.doctor.id)" class="btn btn-primary" (click)="goToCreatePrescriptionPage()">Adaugă medicament la rețetă</button>
    </ng-container>
</ng-container>
